package de.frigosped.dc.model;

public class CatalogGenerateResponse {

    private long catalogId;
    private String catalogName;
    private String description;
    private String generationStatus;

    public CatalogGenerateResponse() {}

    public CatalogGenerateResponse(long catalogId, String catalogName,
                                   String description, String generationStatus) {
        this.catalogId        = catalogId;
        this.catalogName      = catalogName;
        this.description      = description;
        this.generationStatus = generationStatus;
    }

    public long getCatalogId()              { return catalogId; }
    public void setCatalogId(long v)        { this.catalogId = v; }

    public String getCatalogName()          { return catalogName; }
    public void setCatalogName(String v)    { this.catalogName = v; }

    public String getDescription()          { return description; }
    public void setDescription(String v)    { this.description = v; }

    public String getGenerationStatus()          { return generationStatus; }
    public void setGenerationStatus(String v)    { this.generationStatus = v; }
}
